#include "StdAfx.h"
#include "MainWindow.h"
#include "ImageWindow.h"
#include "HelpWindow.h"

HINSTANCE g_hInstance = NULL;

extern "C" int __stdcall WinMain(HINSTANCE hInstance,HINSTANCE hPrevInstance,
                                 char * lpstrCmdLine,int nShowCmd) throw()
{
    ::g_hInstance = hInstance;
    
    MainWindow::RegisterWindow();
    ImageWindow::RegisterWindow();
    HelpWindow::RegisterWindow();
    
    MainWindow * pWindow = new MainWindow();
    
    pWindow->Create(L"Easy Image Resizer",WS_OVERLAPPEDWINDOW,WS_EX_APPWINDOW,
        CW_USEDEFAULT,0,800,600);
        
    pWindow->Show(SW_SHOW);
    
    MSG msg;
    long nCheck = 0;
    
    do
    {
        nCheck = ::GetMessage(&msg,0,0,0);
        
        if (nCheck == 0 || nCheck == -1)
        {
            break;
        }
        
        ::TranslateMessage(&msg);
        ::DispatchMessage(&msg);
        
    } while (true);
    
    ImageWindow::UnregisterWindow();
    MainWindow::UnregisterWindow();
    
    return 0;
}
